Name: tux
Version: 2.0.8
Release: 1mdk
Summary: User-space component of TUX kernel-based threaded HTTP server
Copyright: GPL
Group: System/Servers
Source: tux-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Prereq: /sbin/chkconfig
ExclusiveArch: %{ix86}

%description
TUX is a kernel-based, threaded, extremely high performance HTTP server.
It is able to efficiently and safely serve both static and dynamic data.
TUX moves the HTTP protocol stack to the kernel, and can handle requests
for data with both kernel-space and user-space modules.

See http://www.redhat.com/mailing-lists/ for instructions on subscribing
to tux-list@redhat.com; users of TUX have the opportunity to share their
experiences and receive notices of new versions on that list.

%prep
%setup -q

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make install TOPDIR=$RPM_BUILD_ROOT

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%_post_service

%preun
%_preun_service
if [ "$1" = 0 ]; then
    rm -rf /var/tux/*
fi


%files
%defattr(-,root,root)
%attr(0755,root,root) /usr/sbin/*
%attr(0755,root,root) /etc/rc.d/init.d/*
%attr(0644,root,root) /etc/sysconfig/*
%attr(0644,root,root) /usr/share/man/man*/*
%attr(0644,root,root) /usr/include/*
%attr(0700,root,root) %dir /var/tux
%attr(0644,root,root) %doc tux.README NEWS SUCCESS gettuxconfig checkbindings demo.c demo.so demo2.c demo2.so demo3.c demo3.so demo4.c demo4.so samples/sample.log samples/sample.out docs/tux docs/TUXAPI*

%changelog
* Tue Apr 17 2001 Geoffrey Lee <snailtalk@mandrakedsoft.com> 2.0.8-1mdk
- Shamelessly rip from Red Hat.

* Wed Feb 07 2001 Michael K. Johnson <johnsonm@redhat.com>
- tux-2.0.2 fixes a few more bugs and adds checkbindings

* Fri Feb 02 2001 Michael K. Johnson <johnsonm@redhat.com>
- tux-2.0.1 fixes a few small bugs

* Wed Jan 31 2001 Michael K. Johnson <johnsonm@redhat.com>
- tux-2.0 daemon release to match TUX 2.0 kernel release...

* Sun Jan 28 2001 Michael K. Johnson <johnsonm@redhat.com>
- RC release for TUX 2.0

* Wed Jan 10 2001 Michael K. Johnson <johnsonm@redhat.com>
- Fix mime-type handling that rotted...

* Fri Dec 01 2000 Michael K. Johnson <johnsonm@redhat.com>
- Preparing for new release:
  o  New, faster date routine
  o  Better command-line option handling
  o  Removed counttux now that tux2w3c has the -c option
  o  Fixed docroot/modulepath handling
  o  More info in tux2w3c

* Thu Aug 31 2000 Michael K. Johnson <johnsonm@redhat.com>
- Updates to match new kernel functionality

* Thu Aug 24 2000 Michael K. Johnson <johnsonm@redhat.com>
- initial release
